MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004634ATutorContentpublic2010-12-01 14:292010-12-20 10:19
Reportermackrauss 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.2 
Target VersionFixed in Version2.0.2 
Summary0004634: Allow user to choose how glossary links are displayed
DescriptionCurrently links to glossary items are shown through a "?" after the word that has a glossary entry. Hovering over the "?" shows a preview of the glossary entry and clicking on the "?" links to the glossary entry.

User testing showed that users with low vision found the "?" particularly irritating and where not sure what this symbol meant. Users said that a "normal" link might work much better.

The behaviour is that of a link, since clicking on the "?" links to the glossary, and as such it should look like a link.

In order to allow users that are used to the "?" have this in the future and other users to see a link instead there should be a user option that allows the user to easily switch how the glossary links are displayed.
Additional InformationI change the code on my installation to always show the glossary link as link, however I left the existing code in place. All that is needed is to replace the if (true) with a if statement that depends on the user choice.


// Armin 06.10.2010: Fix to change glossary links into real links
            // if statement needs to be a condition depending on settings
            if (true) {
                $input = preg_replace
                        ("/(\[\?\])$term(\[\/\?\])/i",
                        ''.$_base_path.'mods/_core/glossary/index.php?g_cid='.$_SESSION['s_cid'].htmlentities(SEP).'w='.urlencode($original_term).'#term',$input);
            }
            else {
                if ($simple) {
                    $input = preg_replace
                            ("/(\[\?\])$term(\[\/\?\])/i",
                            ''.$simple.'glossary.html#'.urlencode($original_term).'',
                            $input);
                } else {
                    $input = preg_replace
                            ("/(\[\?\])$term(\[\/\?\])/i",
                            '\\2<sup>'.$_base_path.'mods/_core/glossary/index.php?g_cid='.$_SESSION['s_cid'].htmlentities(SEP).'w='.urlencode($original_term).'#term</sup>',$input);
                }
            }
            // Armin 06.10.2010 End
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004763)
greg (administrator)
2010-12-07 11:19

Modified output.inc.php to replace the sup question mark with underlines for glossary items. Won't provide an option to choose sup question.

- Issue History
Date Modified Username Field Change
2010-12-01 14:29 mackrauss New Issue
2010-12-01 14:29 mackrauss Affects version => SVN
2010-12-07 11:19 greg Status new => resolved
2010-12-07 11:19 greg Fixed in Version => 2.0.2
2010-12-07 11:19 greg Resolution open => fixed
2010-12-07 11:19 greg Assigned To => greg
2010-12-07 11:19 greg Note Added: 0004763
2010-12-20 10:19 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker